<?php
// @codingStandardsIgnoreFile
// @codeCoverageIgnoreStart
require_once '/usr/share/php/Fedora/Autoloader'.'/autoload.php';

\Fedora\Autoloader\Autoload::addClassMap(
    array(
        'doctrine\\dbal\\migrations\\abortmigrationexception' => '/../DBAL/Migrations/AbortMigrationException.php',
                'doctrine\\dbal\\migrations\\abstractmigration' => '/../DBAL/Migrations/AbstractMigration.php',
                'doctrine\\dbal\\migrations\\configuration\\abstractfileconfiguration' => '/../DBAL/Migrations/Configuration/AbstractFileConfiguration.php',
                'doctrine\\dbal\\migrations\\configuration\\arrayconfiguration' => '/../DBAL/Migrations/Configuration/ArrayConfiguration.php',
                'doctrine\\dbal\\migrations\\configuration\\configuration' => '/../DBAL/Migrations/Configuration/Configuration.php',
                'doctrine\\dbal\\migrations\\configuration\\connection\\connectionloaderinterface' => '/../DBAL/Migrations/Configuration/Connection/ConnectionLoaderInterface.php',
                'doctrine\\dbal\\migrations\\configuration\\connection\\loader\\arrayconnectionconfigurationloader' => '/../DBAL/Migrations/Configuration/Connection/Loader/ArrayConnectionConfigurationLoader.php',
                'doctrine\\dbal\\migrations\\configuration\\connection\\loader\\connectionconfigurationchainloader' => '/../DBAL/Migrations/Configuration/Connection/Loader/ConnectionConfigurationChainLoader.php',
                'doctrine\\dbal\\migrations\\configuration\\connection\\loader\\connectionconfigurationloader' => '/../DBAL/Migrations/Configuration/Connection/Loader/ConnectionConfigurationLoader.php',
                'doctrine\\dbal\\migrations\\configuration\\connection\\loader\\connectionhelperloader' => '/../DBAL/Migrations/Configuration/Connection/Loader/ConnectionHelperLoader.php',
                'doctrine\\dbal\\migrations\\configuration\\jsonconfiguration' => '/../DBAL/Migrations/Configuration/JsonConfiguration.php',
                'doctrine\\dbal\\migrations\\configuration\\xmlconfiguration' => '/../DBAL/Migrations/Configuration/XmlConfiguration.php',
                'doctrine\\dbal\\migrations\\configuration\\yamlconfiguration' => '/../DBAL/Migrations/Configuration/YamlConfiguration.php',
                'doctrine\\dbal\\migrations\\event\\listeners\\autocommitlistener' => '/../DBAL/Migrations/Event/Listeners/AutoCommitListener.php',
                'doctrine\\dbal\\migrations\\event\\migrationseventargs' => '/../DBAL/Migrations/Event/MigrationsEventArgs.php',
                'doctrine\\dbal\\migrations\\event\\migrationsversioneventargs' => '/../DBAL/Migrations/Event/MigrationsVersionEventArgs.php',
                'doctrine\\dbal\\migrations\\events' => '/../DBAL/Migrations/Events.php',
                'doctrine\\dbal\\migrations\\filequerywriter' => '/../DBAL/Migrations/FileQueryWriter.php',
                'doctrine\\dbal\\migrations\\finder\\abstractfinder' => '/../DBAL/Migrations/Finder/AbstractFinder.php',
                'doctrine\\dbal\\migrations\\finder\\globfinder' => '/../DBAL/Migrations/Finder/GlobFinder.php',
                'doctrine\\dbal\\migrations\\finder\\migrationdeepfinderinterface' => '/../DBAL/Migrations/Finder/MigrationDeepFinderInterface.php',
                'doctrine\\dbal\\migrations\\finder\\migrationfinderinterface' => '/../DBAL/Migrations/Finder/MigrationFinderInterface.php',
                'doctrine\\dbal\\migrations\\finder\\recursiveregexfinder' => '/../DBAL/Migrations/Finder/RecursiveRegexFinder.php',
                'doctrine\\dbal\\migrations\\irreversiblemigrationexception' => '/../DBAL/Migrations/IrreversibleMigrationException.php',
                'doctrine\\dbal\\migrations\\migration' => '/../DBAL/Migrations/Migration.php',
                'doctrine\\dbal\\migrations\\migrationexception' => '/../DBAL/Migrations/MigrationException.php',
                'doctrine\\dbal\\migrations\\migrationsversion' => '/../DBAL/Migrations/MigrationsVersion.php',
                'doctrine\\dbal\\migrations\\outputwriter' => '/../DBAL/Migrations/OutputWriter.php',
                'doctrine\\dbal\\migrations\\provider\\lazyschemadiffprovider' => '/../DBAL/Migrations/Provider/LazySchemaDiffProvider.php',
                'doctrine\\dbal\\migrations\\provider\\ormschemaprovider' => '/../DBAL/Migrations/Provider/OrmSchemaProvider.php',
                'doctrine\\dbal\\migrations\\provider\\schemadiffprovider' => '/../DBAL/Migrations/Provider/SchemaDiffProvider.php',
                'doctrine\\dbal\\migrations\\provider\\schemadiffproviderinterface' => '/../DBAL/Migrations/Provider/SchemaDiffProviderInterface.php',
                'doctrine\\dbal\\migrations\\provider\\schemaproviderinterface' => '/../DBAL/Migrations/Provider/SchemaProviderInterface.php',
                'doctrine\\dbal\\migrations\\provider\\stubschemaprovider' => '/../DBAL/Migrations/Provider/StubSchemaProvider.php',
                'doctrine\\dbal\\migrations\\querywriter' => '/../DBAL/Migrations/QueryWriter.php',
                'doctrine\\dbal\\migrations\\skipmigrationexception' => '/../DBAL/Migrations/SkipMigrationException.php',
                'doctrine\\dbal\\migrations\\sqlfilewriter' => '/../DBAL/Migrations/SqlFileWriter.php',
                'doctrine\\dbal\\migrations\\tools\\console\\command\\abstractcommand' => '/../DBAL/Migrations/Tools/Console/Command/AbstractCommand.php',
                'doctrine\\dbal\\migrations\\tools\\console\\command\\diffcommand' => '/../DBAL/Migrations/Tools/Console/Command/DiffCommand.php',
                'doctrine\\dbal\\migrations\\tools\\console\\command\\executecommand' => '/../DBAL/Migrations/Tools/Console/Command/ExecuteCommand.php',
                'doctrine\\dbal\\migrations\\tools\\console\\command\\generatecommand' => '/../DBAL/Migrations/Tools/Console/Command/GenerateCommand.php',
                'doctrine\\dbal\\migrations\\tools\\console\\command\\latestcommand' => '/../DBAL/Migrations/Tools/Console/Command/LatestCommand.php',
                'doctrine\\dbal\\migrations\\tools\\console\\command\\migratecommand' => '/../DBAL/Migrations/Tools/Console/Command/MigrateCommand.php',
                'doctrine\\dbal\\migrations\\tools\\console\\command\\statuscommand' => '/../DBAL/Migrations/Tools/Console/Command/StatusCommand.php',
                'doctrine\\dbal\\migrations\\tools\\console\\command\\uptodatecommand' => '/../DBAL/Migrations/Tools/Console/Command/UpToDateCommand.php',
                'doctrine\\dbal\\migrations\\tools\\console\\command\\versioncommand' => '/../DBAL/Migrations/Tools/Console/Command/VersionCommand.php',
                'doctrine\\dbal\\migrations\\tools\\console\\consolerunner' => '/../DBAL/Migrations/Tools/Console/ConsoleRunner.php',
                'doctrine\\dbal\\migrations\\tools\\console\\helper\\configurationhelper' => '/../DBAL/Migrations/Tools/Console/Helper/ConfigurationHelper.php',
                'doctrine\\dbal\\migrations\\tools\\console\\helper\\configurationhelperinterface' => '/../DBAL/Migrations/Tools/Console/Helper/ConfigurationHelperInterface.php',
                'doctrine\\dbal\\migrations\\tools\\console\\helper\\migrationdirectoryhelper' => '/../DBAL/Migrations/Tools/Console/Helper/MigrationDirectoryHelper.php',
                'doctrine\\dbal\\migrations\\tools\\console\\helper\\migrationstatusinfoshelper' => '/../DBAL/Migrations/Tools/Console/Helper/MigrationStatusInfosHelper.php',
                'doctrine\\dbal\\migrations\\version' => '/../DBAL/Migrations/Version.php',
                'doctrine\\migrations\\abstractmigration' => '/AbstractMigration.php',
    ),
    __DIR__
);
// @codeCoverageIgnoreEnd

// Dependencies
\Fedora\Autoloader\Dependencies::required([
    '/usr/share/php/Doctrine/DBAL/autoload.php',
    [
        '/usr/share/php/Symfony4/Component/Console/autoload.php',
        '/usr/share/php/Symfony3/Component/Console/autoload.php',
    ],
    '/usr/share/php/ProxyManager/autoload.php',
]);
\Fedora\Autoloader\Dependencies::optional([
    '/usr/share/php/jdorn-sql-formatter/autoload.php',
    [
        '/usr/share/php/Symfony4/Component/Yaml/autoload.php',
        '/usr/share/php/Symfony3/Component/Yaml/autoload.php',
    ],
]);
